Subject: Re: macros and dtc

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 20 Feb 2007 07:04:44 +1100

> I could envision using something like cpp with #include
> to get some standard SOC block properties, but macros
> that try to account for board variations could be quite
> complex.

For things like SoC, what I'd like is a way via #include or macros,
whatever, to layout in a part of the tree a standard block, and then, be
able to "overlay" on top of it.

I can see other uses for macros for things like making easier to build
interrupt-map properties for example, especially since most embedded
boards use standard swizzling

Ben.